Skip to main content
GET
/
app-event-types
List app event types
curl --request GET \
  --url https://api.getmembrane.com/app-event-types \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "revision": "<string>",
      "webhookKey": "<string>",
      "globalWebhookUri": "<string>",
      "uuid": "<string>",
      "key": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "subscribeRequest": {
        "uri": {},
        "method": "<string>",
        "headers": {},
        "query": {},
        "body": {}
      },
      "example": {},
      "schema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "tenantIdFormula": {},
      "userIdFormula": {}
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Text search query to filter results

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean

Response

200 - application/json
items
object[]
required
cursor
string